Show / Hide Table of Contents

# Class StaticAddress

##### Inheritance

System.Object
Address
StaticAddress

##### Inherited Members

Address.Name
Address.String
Address.Bytes
Address.Mask
Address.Value
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: FFXIVClientStructs.Interop

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public sealed class StaticAddress : Address

### Constructors

| Improve this Doc View Source

#### StaticAddress(String, String, UInt64[], UInt64[], UIntPtr, Int32)

##### Declaration

    public StaticAddress(string name, string string, ulong[] bytes, ulong[] mask, nuint value, int offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name |
System.String | string |
System.UInt64[] | bytes |
System.UInt64[] | mask |
System.UIntPtr | value |
System.Int32 | offset |

### Fields

| Improve this Doc View Source

#### Offset

##### Declaration

    public int Offset

##### Field Value

Type | Description
--- | ---
System.Int32 |